Alien::Build::Plugin::Fetch::Wget(3)

NAME
Alien::Build::Plugin::Fetch::Wget - Plugin for fetching files using wget

VERSION
version 2.84

SYNOPSIS
 use alienfile;

 share {
   start_url 'https://www.openssl.org/source/';
   plugin 'Fetch::Wget';
 };

DESCRIPTION
WARNING: This plugin is somewhat experimental at this time.

This plugin provides a fetch based on the "wget" command. It works with other fetch plugins (that is, the first one which succeeds will be used). Most of the time the best plugin to use will be Alien::Build::Plugin::Download::Negotiate, but for some SSL bootstrapping it may be desirable to try "wget" first.

Protocols supported: "http", "https"

PROPERTIES

  wget_command
The full path to the "wget" command. The default is usually correct.

  ssl
Ignored by this plugin. Provided for compatibility with some other fetch plugins.

SEE ALSO

alienfile
Alien::Build

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey (KIWIROY)

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Písař (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

Håkon Hægland (hakonhagland, HAKONH)

nick nauwelaerts (INPHOBIA)

Florian Weimer

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.